<?php namespace UpsEuWoocommerce\models\entities;

/**
 * _USER_TECHNICAL_AGREEMENT
 * 
 * @category  ups-shipping-for-woocommerce
 * @package   UPS Shipping and UPS Access Point™ : Official Plugin For WooCommerce
 * @author    United Parcel Service of America, Inc. <noreply@ups.com>
 * @license   This work is Licensed under the Apache License, version 2.0
 * https://www.apache.org/licenses/LICENSE-2.0
 * @copyright (c) 2019, United Parcel Service of America, Inc., all rights reserved
 * @link      https://www.ups.com/pl/en/services/technology-integration/ecommerce-plugins.page
 * 
 * _LICENSE_TAG
 *
 * ups-eu-woo-model-entity-language.php - The core plugin class.
 * 
 * This is used to define the Language Entity.
 */

class Ups_Eu_Woo_Language_Entity
{
    /* lang group name by page */

    public $lang_common = "common";
    public $lang_page_country = "country";
    public $lang_page_terms_conditions = "terms_conditions";
    public $lang_page_none_account = "none_account";
    public $lang_page_account = "account";
    public $lang_page_shipping_service = "shipping_service";
    public $lang_page_cod = "cod";
    public $lang_page_accessorial_services = "accessorial_services";
    public $lang_page_package_dimension = "package_dimension";
    public $lang_page_delivery_rate = "delivery_rate";
    public $lang_page_billing_preference = "billing_preference";
    public $lang_page_orders = "orders";
    public $lang_page_open_orders = "open_orders";
    public $lang_page_shipments = "shipments";
    public $lang_page_archived_orders = "archived_orders";
    public $lang_page_checkout = "checkout";
    public $lang_page_about_logs_api = "about_logs_api";

}
