{if $dataObject->check_save_success eq 1}
    {* <div class="notice notice-success is-dismissible">         
    <ul>                
    <li>{$dataObject->lang["save_success"]}</li>
    </ul>
    <button type="button" class="notice-dismiss">
    <span class="screen-reader-text"></span>
    </button>
    </div>*}
{else}
    {if !empty($dataObject->validate)}
        <div class="form-group notice-error settings-error notice is-dismissible"> 
            <ul>
                {if !empty($dataObject->validate['msg_common_error'])}
                    <li>{$dataObject->validate['msg_common_error']}</li>
                    {else}
                    <li>{$dataObject->lang['validate_error']}</li>
                    {/if}
            </ul>
            <button type="button" class="notice-dismiss">
                <span class="screen-reader-text"></span>
            </button>
        </div>
    {/if}
{/if}
<div id="error-notice">
</div>
<div id="warning-notice">
</div>
<div id="error-dimension">
</div>
<div class="card-body" id="container_focus_show">
    <div class="ups-config-package-area"> 
        <div class="form-group">
            {*   <h6>{$dataObject->lang["DefaultPackageSetting"]}</h6> *}
            <small class="form-text form-group">
                {$dataObject->lang["pls_enter_package"]}
            </small>

            <div class="row col-12 form-group">

                {foreach $dataObject->packages as $key=>$itemPackage}
                    <div  class="col-sm-12 col-md-3 item-package pl-0">
                        <div>
                            <strong class="package-name">{stripslashes($itemPackage->package_name|escape:'htmlall':'UTF-8')}</strong><strong> {if $key == 0}({$dataObject->lang["DefaultPackage"]}){/if}</strong>
                        </div>
                        <div >
                            <span class="package-length">{stripslashes($itemPackage->length|escape:'htmlall':'UTF-8')}</span>x<span class="package-width">{stripslashes($itemPackage->width|escape:'htmlall':'UTF-8')}</span>x<span class="package-height">{stripslashes($itemPackage->height|escape:'htmlall':'UTF-8')
                                }</span> <span class="">
                                {$unit_dimension = strtolower($dataObject->get_unit_dimension_list[$itemPackage->unit_dimension])}
                                {stripslashes($unit_dimension|escape:'htmlall':'UTF-8')
                                    }</span>, 
                            <span class="package-weight">{stripslashes($itemPackage->weight|escape:'htmlall':'UTF-8')}</span> <span class="">{stripslashes($dataObject->get_unit_weight_list[$itemPackage->unit_weight]|escape:'htmlall':'UTF-8')
                                }</span>
                            <input type="hidden" value="{stripslashes($itemPackage->unit_dimension|escape:'htmlall':'UTF-8')}" class="package-unit-dimension">
                            <input type="hidden" value="{stripslashes($itemPackage->unit_weight|escape:'htmlall':'UTF-8')}" class="package-unit-weight">
                        </div>
                        <div class="">                    
                            <a href="javascript:;" class="btn-edit-package mr-3" data-toggle="modal" data-target="#edit-package-modal-{$itemPackage->package_id}">{$dataObject->lang["btn_edit"]}</a>
                            {if $key != 0}
                                <a href="javascript:;" class="btn-remove-package ml-3" url="{$dataObject->links_form->url_ajax_json}&method=delete-package-ajax&package_id={$itemPackage->package_id}">{$dataObject->lang["btn_delete"]}</a>
                            {/if}
                        </div>

                        <div class="modal fade" id="edit-package-modal-{$itemPackage->package_id}" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true" data-backdrop="static" data-keyboard="false">

                            <div class="modal-dialog" role="document">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <h6 class="modal-title" id="exampleModalLabel">{$dataObject->lang["EditDefaultPackage"]}</h6>
                                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                        </button>
                                    </div>
                                    <div class="modal-body">
                                        <form method="POST" id="edit-package-form-{$itemPackage->package_id}" action="{$dataObject->action_form}" autocomplete="off">
                                            <div class="form-group notice-error notice-error-modify settings-error notice is-dismissible d-none">
                                            </div>
                                            <div class="warning-notice">
                                            </div>
                                            <div class="error-dimension">
                                            </div>
                                            <input type="hidden" name="btn_controller" value="edit-package-ajax"/>
                                            <input type="hidden" name="package_id" value="{$itemPackage->package_id}">
                                            <div class="form-group row">
                                                <label for="package-name" class="col-sm-2 col-form-label strong">
                                                    {$dataObject->lang["PackageName"]}
                                                </label>
                                                <div class="col-sm-8">
                                                    <input type="text" autocomplete="off" class="package_name" name="package_name"
                                                           placeholder="{$dataObject->lang["placeholder_example"]}" value="{stripslashes($itemPackage->package_name|escape:'htmlall':'UTF-8')}" minlength="1" maxlength="50">
                                                </div>
                                            </div>
                                            <div class="form-group row">
                                                <label for="package-weight" class="col-sm-2 col-form-label strong">
                                                    {$dataObject->lang["Weight"]}
                                                </label>
                                                <div class="col-sm-2">
                                                    <input type="text" autocomplete="off" class="weight" name="weight" value="{stripslashes($itemPackage->weight|escape:'htmlall':'UTF-8')}" placeholder="{$dataObject->lang["Weight"]}">
                                                </div>
                                                <label for="package-name" class="col-sm-2 col-form-label text-left text-sm-right pr-0 nowrap strong">
                                                    {$dataObject->lang["Unit"]}
                                                </label>
                                                <div class="col-sm-2">
                                                    <select name="unit_weight" class="unit_weight">
                                                        {html_options options=$dataObject->get_unit_weight_list selected=$itemPackage->unit_weight}
                                                    </select>
                                                </div>
                                            </div>
                                            <div class="form-group row">
                                                <label for="dimension-weight" class="col-sm-2 col-form-label strong">
                                                    {$dataObject->lang["Dimension"]}
                                                </label>
                                                <div class="col-sm-2 ups-input-group">
                                                    <input type="text" autocomplete="off" class="length" name="length" value="{stripslashes($itemPackage->length|escape:'htmlall':'UTF-8')}" placeholder="{$dataObject->lang["Length"]}"> 
                                                    <span class="ups-input-append">x</span>
                                                </div>
                                                <div class="col-sm-2 ups-input-group">
                                                    <input type="text" autocomplete="off" class="width" name="width" value="{stripslashes($itemPackage->width|escape:'htmlall':'UTF-8')}" placeholder="{$dataObject->lang["Width"]}">
                                                    <span class="ups-input-append">x</span>
                                                </div>
                                                <div class="col-sm-2">
                                                    <input type="text" autocomplete="off" class="height" name="height" value="{stripslashes($itemPackage->height|escape:'htmlall':'UTF-8')}" placeholder="{$dataObject->lang["Height"]}">
                                                </div>
                                                <label for="dimension-unit" class="col-sm-2 col-form-label text-left text-sm-right pr-0 nowrap strong">
                                                    {$dataObject->lang["Unit"]}
                                                </label>
                                                <div class="col-sm-2">                  
                                                    <select class="unit_dimension" name="unit_dimension">
                                                        {html_options options=$dataObject->get_unit_dimension_list selected=$itemPackage->unit_dimension}
                                                    </select>
                                                </div>
                                            </div>
                                            <div class="text-right">
                                                <a href="javascript:" class="button button-primary btn-edit-modal-package disabled">{$dataObject->lang["btn_save"]}</a>
                                            </div>
                                        </form>
                                    </div>
                                    <div class="modal-footer">
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                {/foreach}
            </div>

            <div class="">
                <a onclick="addNewPackage()" href="javascript:">{$dataObject->lang["AddNewPackage"]}</a>
            </div>


            <div class="">
                <form method="POST" action="{$dataObject->action_form}"  id="form-add-package" class="" {if !empty($dataObject->validate) and $dataObject->check_save_success eq 0}style="display: block"{else}style="display: none"{/if}>


                    <div class="form-group row">
                        <label for="package-name" class="col-sm-12 col-md-2 col-form-label strong">
                            {$dataObject->lang["PackageName"]}
                        </label>
                        <div class="col-sm-6">
                            <input type="text" autocomplete="off" id="package-name" placeholder="{$dataObject->lang['placeholder_example']}" name="package_name" class="{if 'package_name'|array_key_exists:$dataObject->validate}formValidate{/if}" value="{stripslashes($dataObject->model_package['package_name']|escape:'htmlall':'UTF-8')}" minlength="1" maxlength="50">
                        </div>
                    </div>

                    <div class="form-group row">
                        <label for="package-weight" class="col-sm-2 col-form-label strong">
                            {$dataObject->lang["Weight"]}
                        </label>
                        <div class="col-sm-6 col-md-2">
                            <input type="text" autocomplete="off" id="package-weight" name="weight" class="{if 'weight'|array_key_exists:$dataObject->validate}formValidate{/if}"  value="{if isset($dataObject->model_package['weight'])}{stripslashes($dataObject->model_package['weight']|escape:'htmlall':'UTF-8')}{else}1.00{/if}" placeholder="{$dataObject->lang["Weight"]}">
                        </div>

                        <label for="delivery-rate"  class="col-sm-2 col-form-label text-left text-sm-right pr-0 nowrap strong">{$dataObject->lang["Unit"]} 
                        </label>

                        <div class="col-sm-2">
                            <select name="unit_weight" class="{if 'unit_weight'|array_key_exists:$dataObject->validate} formValidate{/if}">
                                {html_options options=$dataObject->get_unit_weight_list selected=$dataObject->model_package['unit_weight']}
                            </select>
                        </div>
                    </div>
                    <div class="form-group row">
                        <label for="dimension-weight" class="col-sm-12 col-md-2 col-form-label strong">
                            {$dataObject->lang["Dimension"]}
                        </label>
                        <div class="col-sm-2 ups-input-group">
                            <input type="text" autocomplete="off" id="dimension-length" placeholder="{$dataObject->lang['Length']}" name="length" class="{if 'length'|array_key_exists:$dataObject->validate}formValidate{/if}" value="{stripslashes($dataObject->model_package['length']|escape:'htmlall':'UTF-8')}"> 
                            <span class="ups-input-append">x</span>
                        </div>
                        <div class="col-sm-2 ups-input-group">
                            <input type="text" autocomplete="off" id="dimension-width" placeholder="{$dataObject->lang['Width']}" name="width" class="{if 'width'|array_key_exists:$dataObject->validate}formValidate{/if}" value="{stripslashes($dataObject->model_package['width']|escape:'htmlall':'UTF-8')}">
                            <span class="ups-input-append">x</span>
                        </div>
                        <div class="col-sm-2">
                            <input type="text" autocomplete="off" id="dimension-height" placeholder="{$dataObject->lang['Height']}" name="height" class="{if 'height'|array_key_exists:$dataObject->validate}formValidate{/if}" value="{stripslashes($dataObject->model_package['height']|escape:'htmlall':'UTF-8')}">
                        </div>

                        <label for="dimension-unit" class="col-sm-2 col-form-label text-left text-sm-right pr-0 nowrap strong">{$dataObject->lang["Unit"]} 
                        </label>

                        <div class="col-sm-2">
                            <select name="unit_dimension" class="{if 'unit_dimension'|array_key_exists:$dataObject->validate}formValidate{/if}">
                                {html_options options=$dataObject->get_unit_dimension_list selected=$dataObject->model_package['unit_dimension']}
                            </select>
                        </div>
                    </div>
                    <div class="text-right">
                        <button type="button" class="button button-primary btn-add-package ml-5">{$dataObject->lang["AddPackage"]}</button>
                    </div>
                    <input type="hidden" id="btn_controller" name="btn_controller" value=""/>
                </form>
            </div>
        </div> 

        <div class="clearfix">
            <button type="button" class="button button-primary pull-right btn-next" next="{if $dataObject->packages}1{else}0{/if}">{$dataObject->lang["btn_next"]}</button>
        </div>

    </div>

</div>
<input type="hidden" id="remove_package" value="{$dataObject->lang['RemovePackage']}">
<input type="hidden" id="confirm_remove" value="{$dataObject->lang['confirm_remove']}">
<input type="hidden" id="pls_input_at_least_one" value="{$dataObject->lang['pls_input_at_least_one']}">
<input type="hidden" id="validate_error" value="{$dataObject->lang['validate_error']}">

<div class="modal fade" id="ups-modal-alert" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true" data-backdrop="static" data-keyboard="false">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="ups-modal-alert-title">{$dataObject->lang["Warning"]}</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body" id="ups-modal-alert-body">
      </div>
      <div class="modal-footer">
        <button type="button" class="button button-secondary btn-cancel" data-dismiss="modal">{$dataObject->lang["btn_cancel"]}</button>
        <button type="button" class="button button-primary" id="submitFormPackage" data-dismiss="modal">{$dataObject->lang["btn_ok"]}</button>
      </div>
    </div>
  </div>
</div>
<style type="text/css">
    /*.button-primary.btn-add-package,
    .button-primary.btn-add-package:hover{
        background: #ccc;
        border-color: #9e9b9b;
        box-shadow: 0 1px 0 #ccc;
        text-shadow: 0 -1px 1px #ccc;
        color: #000;
    }*/
    #form-add-package .col-sm-1.col-form-label{
        max-width: 5%
    }
    .nowrap{
        white-space: nowrap;
    }
    #wpbody select,
    .ups-shipping-container input[type="text"],
    .ups-shipping-container input[type="number"]{
        height: 28px;
    }

    .disabled{
        opacity: 0.5;
        pointer-events: none;
    }
    .ups-shipping-container input[type="number"] {
        width: 100%;
    }
    @media (max-width: 768px){
        .more-info-icon, .ups-input-append{
            right: 3px!important;
        }
        .btn-add-package.ml-5{
            margin-left: 0px!important;
        }
        #form-add-package.p-5 {
            padding: 1rem!important;
        }
        /* .col-form-label.text-right {
             text-align: left !important;
         }*/
        #wpbody select,
        .ups-shipping-container input[type="text"],
        .ups-shipping-container input[type="number"]{
            margin-bottom: 5px;
        }
    }
</style>

<script type="text/javascript">
    function addNewPackage() {
        jQuery("#form-add-package").slideToggle("slow");
    }

    (function ($) {
        'use strict';
        $(document).ready(function () {
            // enable button SAVE on EDIT PACKAGE modal
            $(document).on('keypress keyup change paste ', '.modal form input, .modal form select', function () {
                $(this).parents('form').find('.button').removeClass('disabled');
            });
            
            var formEdit;

            // action click button EDIT PACKAGE
            $('.btn-edit-modal-package').click(function (e) {
                $("#submitFormPackage").attr("data-id", "2");
                var form = $(this).parents('form');
                formEdit = form;
                var check1 = checkDimensionModify(form);
                var check2 = checkWeightModify(form);
                form.find('.formValidate').removeClass('formValidate');
                form.find('.notice-error-modify').addClass('d-none');

                if (check1[0] == 0 && check2[0] == 0) {
                    editSubmitPackage();
                } else {
                    var error   = '';
                    var warning = '';
                    (check1[0] == 1) ? warning = warning + check1[1] : error = error + check1[1];
                    (check2[0] == 1) ? warning = warning + check2[1] : error = error + check2[1];

                    $("#ups-modal-alert-body").html(warning);

                    if (error == '') {
                        $("#ups-modal-alert").modal('show');
                    } else {
                        form.find('.error-dimension').html('<div class="form-group notice-error notice is-dismissible"><ul><li>'+ error +'</li></ul></div>');
                    }
                }
                
            });

            $("#submitFormPackage").on("click", function() {
                var check = $(this).attr('data-id');
                if (check == "1") {
                    addSubmitPackage();
                } else {
                    editSubmitPackage();
                }
            })
            
            function editSubmitPackage() {
                //get data item package and set to moda
                var form = formEdit

                $.ajax({
                    type: "POST",
                    url: '{$dataObject->links_form->url_ajax_json}&method=edit-package-ajax',
                    data: form.serialize(), // serializes the form's elements.
                    success: function (data)
                    {
                        //remove class validate, notice-error
                        form.find('.formValidate').removeClass('formValidate');
                        form.find('.notice-error-modify').addClass('d-none');
                        form.find('.warning-notice').html('');
                        form.find('.error-dimension').html('');

                        //show notice error
                        if (data.validate != true) {
                            //data.validate.height.msg_error

                            var message_error = data.validate.msg_common_error == undefined ? $("#validate_error").val() : data.validate.msg_common_error;
                            
                            //validate package_name
                            if (data.validate.package_name != undefined) {
                                form.find('.package_name').addClass('formValidate');
                            }
                            //validate weight
                            if (data.validate.weight != undefined) {
                                form.find('.weight').addClass('formValidate');
                            }
                            //validate unit_weight
                            if (data.validate.unit_weight != undefined) {
                                form.find('.unit_weight').addClass('formValidate');
                            }
                            //validate length
                            if (data.validate.length != undefined) {
                                form.find('.length').addClass('formValidate');
                            }
                            //validate width
                            if (data.validate.width != undefined) {
                                form.find('.width').addClass('formValidate');
                            }
                            //validate height
                            if (data.validate.height != undefined) {
                                form.find('.height').addClass('formValidate');
                            }
                            //validate unit_dimension
                            if (data.validate.unit_dimension != undefined) {
                                form.find('.unit_dimension').addClass('formValidate');
                            }
                            //validate weight_error
                            var check = true;
                            if (data.validate.weight_error != undefined) {
                                form.find('.weight').addClass('formValidate');
                                form.find('.warning-notice').html('<div class="form-group notice-error notice is-dismissible"><ul><li>'+ data.validate.weight_error +'</li></ul></div>');
                                check = false;
                            }
                            if (data.validate.dimension_error != undefined) {
                                form.find('.length').addClass('formValidate');
                                form.find('.width').addClass('formValidate');
                                form.find('.height').addClass('formValidate');
                                form.find('.error-dimension').html('<div class="form-group notice-error notice is-dismissible"><ul><li>'+ data.validate.dimension_error +'</li></ul></div>');
                                check = false;
                            }
                            if (check == true) {
                                form.find('.notice-error-modify').removeClass('d-none');
                                form.find('.notice-error-modify').html('<ul><li>' + message_error + '</li></ul>');
                            }
                        } else {
                            // reload after edit success
                            location.reload();
                        }
                    },
                    error: function (data)
                    {
                        location.reload();
                    }
                });
                
            }

            //action show modal EDIT
            $(document).on('click', '.btn-edit-package', function () {
                // get data 
                var $this = $(this).parents('.item-package');
                var pk_name = $this.find(".package-name").text();
                var pk_weight = $this.find(".package-weight").text();
                var pk_unit_weight = $this.find(".package-unit-weight").val();

                var pk_length = $this.find(".package-length").text();
                var pk_width = $this.find(".package-width").text();
                var pk_height = $this.find(".package-height").text();
                var pk_unit_dimension = $this.find(".package-unit-dimension").val();

                //clear validate on form
                var $modal = $this.find('.modal');
                $modal.find('.btn-edit-modal-package').addClass('disabled');
                //remove class validate, notice-error
                $modal.find('.formValidate').removeClass('formValidate');
                $modal.find('.notice-error').addClass('d-none');

                // set data to modal form 
                $modal.find('.package_name').val(pk_name);
                $modal.find('.weight').val(pk_weight);
                $modal.find('.unit_weight').val(pk_unit_weight);
                $modal.find('.length').val(pk_length);
                $modal.find('.width').val(pk_width);
                $modal.find('.height').val(pk_height);
                $modal.find('.unit_dimension').val(pk_unit_dimension);
            });

            //action show modal confirm DELETE
            $(document).on('click', '.btn-remove-package', function () {
                // show modal
                alertMessage($("#confirm_remove").val(), $("#remove_package").val());
                //get url from attribute of a element
                var url = $(this).attr('url');
                //set url to button DELETE
                $('.btn-cancel').hide();
                $('.btn-confirm-message').attr('url', url);
                $('.btn-confirm-message').attr('type-confirm', 'delete');
            });
            //action click button DELETE package 
            $(document).on('click', '.btn-confirm-message', function () {
                var type_confirm = $(this).attr('type-confirm');
                if (type_confirm === 'confirm') {
                    $('.modal').modal('hide');
                } else {
                    var url = $(this).attr('url');
                    $.post(url, function () {
                        location.reload();
                    });
                }
            });

            //action click to close notice error
            $(document).on('click', '.notice-dismiss', function () {
                $(this).parents('.notice-error').addClass('d-none');
            });

            //action click button ADD NEW PACKAGE
            $('.btn-add-package').click(function () {
                var check1 = checkDimension();
                var check2 = checkWeight();
                $("#submitFormPackage").attr("data-id", 1);
                $("#error-dimension").html('');
                if (check1[0] == 0 && check2[0] == 0) {
                    addSubmitPackage();
                } else {
                    var error   = '';
                    var warning = '';
                    (check1[0] == 1) ? warning = warning + check1[1] : error = error + check1[1];
                    (check2[0] == 1) ? warning = warning + check2[1] : error = error + check2[1];

                    if (error == '') {
                        $("#ups-modal-alert-body").html(warning);
                        $("#ups-modal-alert").modal('show');
                    } else {
                        $("#error-dimension").html('<div class="form-group notice-error notice is-dismissible"><ul><li>'+ error +'</li></ul></div>');
                    }
                }
            });

            function addSubmitPackage() {
                $(this).prop('disabled', true);
                $("#btn_controller").val("add-package");
                $("#form-add-package").submit();
            }

            //action click button NEXT
            $(".btn-next").click(function () {

                // check at least one default package to continue
                var next = $(this).attr("next");
                if (next == 0) {
                    //clear validate form
                    $('#error-notice').html('').append('<div class="form-group notice-error settings-error notice is-dismissible"><ul><li>'
                            + $("#pls_input_at_least_one").val() +
                            '</li></ul><button type="button" class="notice-dismiss"><span class="screen-reader-text"></span></button></div>');

                } else {
                    $(this).prop('disabled', true);
                    $("#btn_controller").val("next");
                    $("#form-add-package").submit();
                }
            });

            /** handling package warning and error > 70 */
            var errorWeightPackageMaximum   = "{$dataObject->lang["errorWeightPackageMaximum"]}";
            var warningWeightPackageMaximum = "{$dataObject->lang["warningWeightPackageMaximum"]}";
            var errorDimension              = "{$dataObject->lang["errorDimension"]}";
            var warningDimensionLang        = "{$dataObject->lang["warningDimension"]}";

            function checkWeight() {
                var weightPackage = parseFloat(jQuery("#form-add-package").find("#package-weight").val());
                var unitWeight    = jQuery("#form-add-package").find("select[name=unit_weight]").val();
                $("#package-weight").removeClass("formValidate");
                var htmlErr = '';
                var check   = 0;
                if (unitWeight == 'kgs') {
                    if (weightPackage > 20 && weightPackage <= 70) {
                        htmlErr = htmlErr + '<p>'+ warningWeightPackageMaximum +'</p>';
                        check   = 1;
                    } else if (weightPackage > 70) {
                        htmlErr = htmlErr + '<p>'+ errorWeightPackageMaximum +'</p>';
                        check   = 2;
                        jQuery("#package-weight").addClass("formValidate");
                    }
                } else {
                    if (weightPackage > 154.324) {
                        htmlErr = htmlErr + '<p>'+ errorWeightPackageMaximum +'</p>';
                        check   = 2;
                        jQuery("#package-weight").addClass("formValidate");
                    } else if (weightPackage > 44.09 && weightPackage <= 154.324) {
                        htmlErr = htmlErr + '<p>'+ warningWeightPackageMaximum +'</p>';
                        check   = 1;
                    }
                }
                var response = [];
                response.push(check);
                response.push(htmlErr);
                return response;
            }

            function checkDimension() {
                var unitDimension = jQuery("#form-add-package").find("select[name=unit_dimension]").val();
                if (unitDimension == 'cm') {
                    var maxDimension     = 400;
                    var warningDimension = 330;
                } else {
                    var maxDimension     = 157.48;
                    var warningDimension = 129.92;
                }

                var dimensionLength = parseFloat(jQuery("#dimension-length").val());
                var dimensionWidth  = parseFloat(jQuery("#dimension-width").val());
                var dimensionHeight = parseFloat(jQuery("#dimension-height").val());
                jQuery("#dimension-length").removeClass("formValidate");
                jQuery("#dimension-width").removeClass("formValidate");
                jQuery("#dimension-height").removeClass("formValidate");
                var check = 0;
                var htmlErr = '';
                if (dimensionLength != "" && dimensionWidth != "" && dimensionHeight != "") {
                    var calculation = dimensionLength + (2 * dimensionWidth) + (2 * dimensionHeight);
                    if (calculation > maxDimension) {
                        htmlErr = htmlErr + '<p>'+ errorDimension +'</p>';
                        check = 2;
                        jQuery("#dimension-length").addClass("formValidate");
                        jQuery("#dimension-width").addClass("formValidate");
                        jQuery("#dimension-height").addClass("formValidate");
                    }
                    if (calculation > warningDimension && calculation <= maxDimension) {
                        htmlErr = htmlErr + '<p>'+ warningDimensionLang +'</p>';
                        check = 1;
                    }
                }
                var response = [];
                response.push(check);
                response.push(htmlErr);
                return response;
            }

            function checkWeightModify(form) {
                var weightPackage = parseFloat(form.find("input[name=weight]").val());
                var unitWeight    = form.find("select[name=unit_weight]").val();
                form.find(".formValidate").removeClass("formValidate");
                var htmlErr = '';
                var check   = 0;
                if (unitWeight == 'kgs') {
                    if (weightPackage > 20 && weightPackage <= 70) {
                        htmlErr = htmlErr + '<p>'+ warningWeightPackageMaximum +'</p>';
                        check   = 1;
                    } else if (weightPackage > 70) {
                        htmlErr = htmlErr + '<p>'+ errorWeightPackageMaximum +'</p>';
                        check   = 2;
                        form.find("input[name=weight]").addClass("formValidate");
                    }
                } else {
                    if (weightPackage > 154.324) {
                        htmlErr = htmlErr + '<p>'+ errorWeightPackageMaximum +'</p>';
                        check   = 2;
                        form.find("input[name=weight]").addClass("formValidate");
                    } else if (weightPackage > 44.09 && weightPackage <= 154.324) {
                        htmlErr = htmlErr + '<p>'+ warningWeightPackageMaximum +'</p>';
                        check   = 1;
                    }
                }
                var response = [];
                response.push(check);
                response.push(htmlErr);
                return response;
            }

            function checkDimensionModify(form) {
                var unitDimension = form.find("select[name=unit_dimension]").val();
                if (unitDimension == 'cm') {
                    var maxDimension     = 400;
                    var warningDimension = 330;
                } else {
                    var maxDimension     = 157.48;
                    var warningDimension = 129.92;
                }

                var dimensionLength = parseFloat(form.find("input[name=length]").val());
                var dimensionWidth  = parseFloat(form.find("input[name=width]").val());
                var dimensionHeight = parseFloat(form.find("input[name=height]").val());
                form.find(".formValidate").removeClass("formValidate");
                var check = 0;
                var htmlErr = '';
                if (dimensionLength != "" && dimensionWidth != "" && dimensionHeight != "") {
                    var calculation = dimensionLength + (2 * dimensionWidth) + (2 * dimensionHeight);
                    if (calculation > maxDimension) {
                        htmlErr = htmlErr + '<p>'+ errorDimension +'</p>';
                        check = 2;
                        form.find("input[name=length]").addClass("formValidate");
                        form.find("input[name=width]").addClass("formValidate");
                        form.find("input[name=height]").addClass("formValidate");
                    }
                    if (calculation > warningDimension && calculation <= maxDimension) {
                        htmlErr = htmlErr + '<p>'+ warningDimensionLang +'</p>';
                        check = 1;
                    }
                }
                var response = [];
                response.push(check);
                response.push(htmlErr);
                return response;
            }

        });
    })(jQuery);
</script>