{if $dataObject->mess_error_call_api}
    <div class="form-group notice-error settings-error notice is-dismissible"> 
        <ul>
            <li>{$dataObject->mess_error_call_api}</li>
        </ul>
        <button type="button" class="notice-dismiss">
            <span class="screen-reader-text"></span>
        </button>
    </div>
{else}
    {if is_array($dataObject->validate) && !empty($dataObject->validate)  }
        <div class="form-group notice-error settings-error notice is-dismissible"> 
            <ul>
                {if (array_key_exists('mess_error_show', $dataObject->validate))}
                    <li>{$dataObject->lang[$dataObject->validate['mess_error_show']]}</li>
                    {else}
                    <li>{$dataObject->lang['validate_error']}</li>               
                    {/if}                
            </ul>
            <button type="button" class="notice-dismiss">
                <span class="screen-reader-text"></span>
            </button>
        </div>
    {/if}
{/if}
<div class="ups-config-account-area"> 
    <div class="ups-payment">     
        <div class="form-group">    
            <span>{$dataObject->lang['infor_more_account']}</span>
        </div>
        <div class="form-group">    
            <strong class="title3">{$dataObject->lang["form_title1"]}</strong>
        </div>
        <div class="form-group">    
            <strong class="title3">{$dataObject->lang['infor_more_account_note']}</strong>
        </div>
        <form method="POST" action="{$dataObject->action_form}" id="fm-start-new-acc">
            <div class="form-group row">
                <div class="col-sm-12 col-xl-6 pr-xl-0 xl-fix-none-account">
                    <div class="form-group row">
                        <label for="account-title" class="col-sm-3 left-fix text-sm-right label-fix strong">
                            {$dataObject->lang["title"]}:<i class="text-danger">*</i>
                        </label>
                        <div class="col-sm-9 right-fix">
                            <select id="account-title" name="title"  value="{$dataObject->form->title}"  class="width-with-tooltip">
                                <option {if $dataObject->form->title eq 'mr'}selected{/if} value="mr">{$dataObject->lang["mr"]}</option>
                                <option {if $dataObject->form->title eq 'miss'}selected{/if} value="miss">{$dataObject->lang["miss"]}</option>
                                <option {if $dataObject->form->title eq 'mrs'}selected{/if} value="mrs">{$dataObject->lang["mrs"]}</option>
                                <option {if $dataObject->form->title eq 'ms'}selected{/if} value="ms">{$dataObject->lang["ms"]}</option>
                            </select>
                        </div>
                    </div>
                    <div class="form-group row"> 
                        <label for="business-name" class="col-sm-3 left-fix text-sm-right label-fix strong">
                            {$dataObject->lang["full_name"]}:<i class="text-danger">*</i>
                        </label>
                        <div class="col-sm-9 right-fix">
                            <input name="fullname" maxlength="35" value="{stripslashes($dataObject->form->fullname|escape:'htmlall':'UTF-8')}"  class="width-with-tooltip {if isset($dataObject->validate["fullname"])}formValidate{/if}"  type="text" autocomplete="off" id="start-new-acc-business-name">
                        </div>  
                    </div>                             
                    <div class="form-group row">                         
                        <label for="company-name" class="col-sm-3 left-fix text-sm-right label-fix strong">
                            {$dataObject->lang["company"]}:<i class="text-danger">*</i>
                        </label>
                        <div class="col-sm-9 right-fix">                                    
                            <input name="company" maxlength="35" value="{stripslashes($dataObject->form->company|escape:'htmlall':'UTF-8')}"  class="width-with-tooltip {if isset($dataObject->validate["company"])}formValidate{/if}"  type="text" autocomplete="off" class="" id="start-new-acc-company-name">
                        </div>      
                    </div>                            
                    <div class="form-group row">                      
                        <label for="email-address" class="col-sm-3 left-fix text-sm-right label-fix strong">
                            {$dataObject->lang["email"]}:<i class="text-danger">*</i>
                        </label>
                        <div class="col-sm-9 right-fix">
                            <input type="text" autocomplete="off" name="email" maxlength="50" value="{stripslashes($dataObject->form->email|escape:'htmlall':'UTF-8')}"  class="width-with-tooltip {if isset($dataObject->validate["email"])}formValidate{/if}" id="start-new-acc-email-address">
                        </div>   
                    </div>                             
                    <div class="form-group row">                                        
                        <label for="phone-number" class="col-sm-3 left-fix text-sm-right label-fix strong">
                            {$dataObject->lang["phone_number"]}:<i class="text-danger">*</i>
                        </label>
                        <div class="col-sm-9 right-fix">
                            <input type="text" autocomplete="off" name="phone_number" maxlength="15" value="{stripslashes($dataObject->form->phone_number|escape:'htmlall':'UTF-8')}"  class="width-with-tooltip {if isset($dataObject->validate["phone_number"])}formValidate{/if}" id="start-new-acc-phone-number">
                        </div>
                    </div>
                </div>
                <div class="col-sm-12 col-xl-6 pl-xl-0 xl-fix-none-account">                            
                    <div class="form-group row">
                        <label for="address-type" class="col-sm-3 left-fix text-sm-right label-fix strong">
                            {$dataObject->lang["address_type"]}:
                        </label>
                        <div class="col-sm-9 right-fix pr-xl-0">
                            <input type="text" autocomplete="off" name="address_type" maxlength="50" value="{stripslashes($dataObject->form->address_type|escape:'htmlall':'UTF-8')}"  class="width-with-tooltip {if isset($dataObject->validate["address_type"])}formValidate{/if}" class="" id="start-new-acc-address-type" 
                                   placeholder="{$dataObject->lang['address_type_placeholder']}"  />
                            <a tabindex=-1 class="" data-toggle="tooltip" data-placement="top" title="{$dataObject->lang['tooltip_address_type']}" href="javascript:;"><i class="fa fa-question-circle"></i></a>
                        </div>
                    </div>                            
                    <div class="form-group row">
                        <label for="address-street" class="col-sm-3 left-fix text-sm-right label-fix strong">
                            {$dataObject->lang['pickup_address']}:<i class="text-danger">*</i>
                        </label>
                        <div class="col-sm-9 right-fix pr-xl-0">
                            <input type="text" autocomplete="off" name="address_1" maxlength="35" id="start-new-acc-address-street" value="{stripslashes($dataObject->form->address_1|escape:'htmlall':'UTF-8')}"  class="width-with-tooltip {if isset($dataObject->validate["address_1"])}formValidate{/if}" placeholder="{$dataObject->lang['address_placeholder1']}">
                            <a tabindex=-1 class="" data-toggle="tooltip" data-placement="top" title="{$dataObject->lang['tooltip_pickup_address']}" href="javascript:;"><i class="fa fa-question-circle"></i></a>
                        </div>
                    </div>                            
                    <div class="form-group row">
                        <label for="address-apartment" class="col-sm-3 left-fix text-sm-right label-fix strong">
                        </label>
                        <div class="col-sm-9 right-fix pr-xl-0">
                            <input type="text" autocomplete="off" name="address_2" maxlength="35" value="{stripslashes($dataObject->form->address_2|escape:'htmlall':'UTF-8')}"  class="width-with-tooltip" id="start-new-acc-address-apartment" placeholder="{$dataObject->lang['address_placeholder2']}">
                        </div>     
                    </div>                      
                    <div class="form-group row">
                        <label for="address-department" class="col-sm-3 left-fix text-sm-right label-fix strong">
                        </label>
                        <div class="col-sm-9 right-fix pr-xl-0">
                            <input type="text" autocomplete="off" name="address_3" maxlength="35" value="{stripslashes($dataObject->form->address_3|escape:'htmlall':'UTF-8')}"  class="width-with-tooltip" id="start-new-acc-address-department" placeholder="{$dataObject->lang['address_placeholder3']}">
                        </div>
                    </div>                            
                    <div class="form-group row">
                        <label for="postal-code" class="col-sm-3 left-fix text-sm-right label-fix strong">
                            {$dataObject->lang['pickup_postal_code']}:<i class="text-danger">*</i>
                        </label>
                        <div class="col-sm-9 right-fix pr-xl-0">
                            <input type="text" autocomplete="off" name="postal_code" maxlength="9" value="{stripslashes($dataObject->form->postal_code|escape:'htmlall':'UTF-8')}"  class="width-with-tooltip {if isset($dataObject->validate["postal_code"])}formValidate{/if}" id="start-new-acc-postal-code" >
                            <a tabindex=-1 class="" data-toggle="tooltip" data-placement="top" title="{$dataObject->lang['tooltip_pickup_postal_code']}" href="javascript:;"><i class="fa fa-question-circle"></i></a>
                        </div>                                
                    </div>  

                    <div class="form-group row">
                        <label for="city" class="col-sm-3 left-fix text-sm-right label-fix strong">
                            {$dataObject->lang['city']}:<i class="text-danger">*</i>
                        </label>
                        <div class="col-sm-9 right-fix pr-xl-0">
                            <input type="text" autocomplete="off" name="city" maxlength="30" value="{stripslashes($dataObject->form->city|escape:'htmlall':'UTF-8')}"  class="width-with-tooltip {if isset($dataObject->validate["city"])}formValidate{/if}"  id="start-new-acc-city">
                        </div>
                    </div>    

                    <div class="form-group row">     
                        <label for="address-country" class="col-4 col-sm-3 left-fix text-sm-right label-fix strong">
                            {$dataObject->lang['Country/Territory']}:<i class="text-danger">*</i>
                        </label>
                        <div class="col-sm-9 right-fix pr-xl-0">                  
                            <input type="text" autocomplete="off" name="country" disabled="" maxlength="30" value="{$dataObject->country_list_define[$dataObject->form->country]["name"]}"  class="width-with-tooltip"  id="start-new-acc-country">
                            <input type="hidden" name="country" value="{$dataObject->form->country}"/>
                        </div>
                    </div>
                </div>
            </div>	

            <div class="_containHadAccount xl-fix-none-account">
                <div class="form-group form-checkbox">
                    <label for="start-new-acc-have-account">
                        <input type="radio" id="start-new-acc-have-account" 
                               {if $dataObject->form->account_type == 1}checked{/if} value="1" name="account_type"/>
                        <b> {$dataObject->lang['have_ups_acc_with_invoice']}</b>
                    </label>	
                </div>  
                <div class="form-group form-content {if $dataObject->form->account_type != 1}d-none{/if}">
                    <div class="form-group row">
                        <small class="form-text text-muted pl-4">
                            {$dataObject->lang['have_ups_acc_with_invoice_title']}
                        </small>
                    </div>
                    <div class="form-group row mb-0"> 
                        <div class="col-sm-12 col-xl-6 left">
                            <div class="form-group row form-group row more-info-area">
                                <label for="start-new-acc-account-name" class="col-sm-3 left-fix text-sm-right label-fix strong">
                                    {$dataObject->lang['account_name']}:<i class="text-danger">*</i>
                                </label>
                                <div class="col-sm-8 right-fix">
                                    <input type="text" autocomplete="off" maxlength="35" name="have_with_invoice[ups_account_name]" value="{if $dataObject->form->account_type eq "1"}{stripslashes($dataObject->form->ups_account_name|escape:'htmlall':'UTF-8')}{/if}"  class="width-with-tooltip {if $dataObject->form->account_type eq "1"}{if isset($dataObject->validate["ups_account_name"])}formValidate{/if}{/if}" id="start-new-acc-account-name">
                                    <a tabindex=-1 class="" data-toggle="tooltip" data-placement="top" title="{$dataObject->lang['tooltip_account_name']}" href="javascript:;"><i class="fa fa-question-circle"></i></a>
                                </div>
                            </div>   

                            <div class="form-group row more-info-area">
                                <label for="account-number" class="col-sm-3 left-fix text-sm-right label-fix strong">
                                    {$dataObject->lang['account_number']}:<i class="text-danger">*</i>
                                </label>
                                <div class="col-sm-8 right-fix">
                                    <input type="text" autocomplete="off" name="have_with_invoice[ups_account_number]" maxlength="6"  value="{if $dataObject->form->account_type eq "1"}{$dataObject->form->ups_account_number}{/if}"  class="width-with-tooltip {if $dataObject->form->account_type eq "1"}{if isset($dataObject->validate["ups_account_number"])}formValidate{/if}{/if}" id="start-new-acc-account-number">
                                    <a tabindex=-1 class="" data-toggle="tooltip" data-placement="top" title="{$dataObject->lang['tooltip_account_number']}" href="javascript:;"><i class="fa fa-question-circle"></i></a>
                                </div>
                            </div>  

                            <div class="form-group row more-info-area">
                                <label for="invoice-number" class="col-sm-3 left-fix text-sm-right label-fix strong">
                                    {$dataObject->lang['invoice_number']}:<i class="text-danger">*</i>
                                </label>
                                <div class="col-sm-8 right-fix">
                                    <input type="text" maxlength="15" autocomplete="off" name="have_with_invoice[ups_invoice_number]" value="{if $dataObject->form->account_type eq "1"}{stripslashes($dataObject->form->ups_invoice_number|escape:'htmlall':'UTF-8')}{/if}"  class="width-with-tooltip {if $dataObject->form->account_type eq "1"}{if isset($dataObject->validate["ups_invoice_number"])}formValidate{/if}{/if}" id="start-new-acc-invoice-number">
                                    <a tabindex=-1 class="" data-toggle="tooltip" data-placement="top" title="{$dataObject->lang['tooltip_invoice_number']}" href="javascript:;"><i class="fa fa-question-circle"></i></a>
                                </div>
                            </div>  

                            <div class="form-group row more-info-area">                        
                                <label for="invoice-amount" class="col-sm-3 left-fix text-sm-right label-fix strong">
                                    {$dataObject->lang['invoice_amount']}:<i class="text-danger">*</i>
                                </label>
                                <div class="col-sm-8 right-fix">
                                    <input type="text" autocomplete="off" name="have_with_invoice[ups_invoice_amount]" maxlength="19" value="{if $dataObject->form->account_type eq "1"}{$dataObject->form->ups_invoice_amount}{/if}" class="width-with-tooltip {if $dataObject->form->account_type eq "1"}{if isset($dataObject->validate["ups_invoice_amount"])}formValidate{/if}{/if}" id="start-new-acc-invoice-amount">
                                    <a tabindex=-1 class="" data-toggle="tooltip" data-placement="top" title="{$dataObject->lang['tooltip_invoice_amount']}" href="javascript:;"><i class="fa fa-question-circle"></i></a>
                                </div>
                            </div>

                            <div class="form-group row more-info-area">  
                                <label for="invoice-amount" class="col-sm-3 left-fix text-sm-right label-fix strong">
                                    {$dataObject->lang['currency']}:<i class="text-danger">*</i>
                                </label>
                                <div class="col-sm-8 right-fix">                           
                                    <select name="have_with_invoice[ups_currency]" class="width-with-tooltip {if 'ups_currency'|array_key_exists:$dataObject->validate}formValidate{/if}"  id="start-new-acc-invoice-currency">
                                        {html_options options=$dataObject->currency_list selected=$dataObject->form->ups_currency}
                                    </select>
                                </div>
                            </div>

                            <div class="form-group row more-info-area">
                                <label for="invoice-date" class="col-sm-3 left-fix text-sm-right label-fix strong">
                                    {$dataObject->lang['invoice_date']}:<i class="text-danger">*</i>
                                </label>
                                <div class="col-sm-8 right-fix">
                                    <input type="text" readonly="true" name="have_with_invoice[ups_invoice_date]" value="{$dataObject->form->ups_invoice_date}" class="width-with-tooltip {if $dataObject->form->account_type eq "1"}{if isset($dataObject->validate["ups_invoice_date"])}formValidate{/if}{/if}" id="had_acc_ups_invoice_date">
                                    <a tabindex=-1 class="" data-toggle="tooltip" data-placement="top" title="{$dataObject->lang['tooltip_invoice_date']}" href="javascript:;"><i class="fa fa-question-circle"></i></a>
                                </div>
                            </div> 

                        </div>
                    </div>
                </div>
            </div>
            <div class="_containWithOutAccount  xl-fix-none-account">
                <div class="form-group form-checkbox">
                    <label for="have-account-without-invoice">
                        <input type="radio" id="have-account-without-invoice" value="2" 
                               {if $dataObject->form->account_type == 2}checked{/if}  name="account_type"/>
                        <b> {$dataObject->lang['have_ups_acc_without_invoice']}
                        </b></label>
                </div>	  

                <div class="form-group form-content row {if $dataObject->form->account_type != 2}d-none{/if}"> 
                    <div class="col-sm-12 col-xl-6 left">
                        <div class="form-group row more-info-area">
                            <label for="start-new-acc-account-name-without-invoice" class="col-sm-3 left-fix text-sm-right label-fix strong">
                                {$dataObject->lang['account_name']}:<i class="text-danger">*</i>
                            </label>
                            <div class="col-sm-8 right-fix">
                                <input type="text" maxlength="35" autocomplete="off" name="have_without_invoice[ups_account_name]" value="{if $dataObject->form->account_type eq "2"}{stripslashes($dataObject->form->ups_account_name|escape:'htmlall':'UTF-8')}{/if}" class="width-with-tooltip {if $dataObject->form->account_type eq "2"}{if isset($dataObject->validate["ups_account_name"])}formValidate{/if}{/if}" id="start-new-acc-account-name-without-invoice">
                                <a tabindex=-1 class="" data-toggle="tooltip" data-placement="top" title="{$dataObject->lang['tooltip_account_name']}" href="javascript:;"><i class="fa fa-question-circle"></i></a>
                            </div>

                        </div> 			  
                        <div class="form-group row more-info-area">
                            <label for="account-number" class="col-sm-3 left-fix text-sm-right label-fix strong">
                                {$dataObject->lang['account_number']}:<i class="text-danger">*</i>
                            </label>
                            <div class="col-sm-8 right-fix">
                                <input type="text" autocomplete="off" name="have_without_invoice[ups_account_number]" maxlength="6" value="{if $dataObject->form->account_type eq "2"}{$dataObject->form->ups_account_number}{/if}" class="width-with-tooltip {if $dataObject->form->account_type eq "2"}{if isset($dataObject->validate["ups_account_number"])}formValidate{/if}{/if}"  id="start-new-acc-account-number-without-invoice">
                                <a tabindex=-1 class="" data-toggle="tooltip" data-placement="top" title="{$dataObject->lang['tooltip_account_number']}" href="javascript:;"><i class="fa fa-question-circle"></i></a>
                            </div>

                        </div>	
                    </div>
                </div>	
            </div>
            <div class="_containNoHaveAccount  xl-fix-none-account">
                <div class="form-group form-checkbox">
                    <label for="start-new-acc-not-have-account">
                        <input type="radio" id="start-new-acc-not-have-account" {if $dataObject->form->account_type == 3}checked{/if}  value="3"  name="account_type"/>
                        <b> {$dataObject->lang['not_have_ups_acc']}</b>
                    </label>
                </div>	  
                <div class="form-group form-content row {if $dataObject->form->account_type != 3}d-none{/if}"> 
                    <div class="col-sm-12 col-xl-6 left">
                        <div class="form-group row more-info-area">
                            <label for="hadnoaccount_number_vat" class="col-sm-5 left-fix text-sm-right label-fix strong">
                                {$dataObject->lang['ups_account_vatnumber']}:
                            </label>
                            <div class="col-sm-7 right-fix">
                                <input type="text" maxlength="15" autocomplete="off" name="ups_account_vatnumber" value="{if $dataObject->form->ups_account_vatnumber}{stripslashes($dataObject->form->ups_account_vatnumber|escape:'htmlall':'UTF-8')}{/if}" class="width-with-tooltip" id="hadnoaccount_number_vat"/>
                            </div>

                        </div> 			  
                        <div class="form-group row more-info-area">
                            <label for="hadnoaccount_acc_promocode" class="col-sm-5 left-fix text-sm-right label-fix strong">
                                {$dataObject->lang['ups_account_promocode']}:
                            </label>
                            <div class="col-sm-7 right-fix">
                                <input type="text" maxlength="9" autocomplete="off" name="ups_account_promocode"  value="{if $dataObject->form->ups_account_promocode}{$dataObject->form->ups_account_promocode}{/if}" class="width-with-tooltip "  id="hadnoaccount_acc_promocode"/>
                            </div>
                        </div>	
                    </div>
                    <div class="row-pull des_footer_none_acc">
                        <span>{$dataObject->lang['des_footer1']}</span>
                        <span>{$dataObject->lang['des_footer2']}</span>
                        <span>{$dataObject->lang['des_footer3']}</span>
                        <span style="color:#1e91cf;">
                            <
                            <a target="_blank" style="color:#1e91cf;" href="{$dataObject->lang['des_footer4_link']}">
                                {$dataObject->lang['des_footer4_link']}
                            </a>
                            >
                        </span>
                    </div>
                </div>	
            </div>
            <div class="form-group row">
                <div class="col-12">
                    <button type="button"  class="button button-primary pull-right  btn-get-started">{$dataObject->lang['get_started']}</button>
                </div>

            </div>
            <input type="hidden" name="account_id" value="{$dataObject->form->account_id}"/>
            <input type="hidden"   id="id_hidden_device_identity" name="device_identity" value=""/>
        </form>
    </div>
</div>
<style type="text/css">
    .des_footer_none_acc{
        display: block;
        padding-left:30px;
    }
    .des_footer_none_acc span{
        display: block;
        width: 100%;
    }
</style>

<script>
    var io_bbout_element_id = 'id_hidden_device_identity';
    var io_install_stm = false;
    var io_exclude_stm = 12;
    var io_install_flash = false;
    var io_enable_rip = true;
</script>
<script src = "https://ci-mpsnare.iovation.com/snare.js" ></script>

<script type="text/javascript">
    (function ($) {
        'use strict';
        $(document).ready(function () {
            $(".btn-get-started").click(function () {
                $(this).prop('disabled', true);
                $("#fm-start-new-acc").submit();
            });
            $("#had_acc_ups_invoice_date").datepicker({
                format: 'mm/dd/yyyy',
                orientation: "top",
                language: "en",
                templates: {
                    leftArrow: ' ',
                    rightArrow: ' '
                },
                autoclose: true
            });
            $('._containHadAccount .form-checkbox input[type="radio"]').change(function () {
                if ($(this).is(':checked')) {
                    $('._containHadAccount .form-content').removeClass("d-none");
                    $('._containWithOutAccount .form-content').addClass("d-none");
                    $('._containNoHaveAccount .form-content').addClass("d-none");
                }
            });

            $('._containWithOutAccount .form-checkbox input[type="radio"]').change(function () {
                if ($(this).is(':checked')) {
                    $('._containHadAccount .form-content').addClass("d-none");
                    $('._containNoHaveAccount .form-content').addClass("d-none");
                    $('._containWithOutAccount .form-content').removeClass("d-none");
                }
            });

            $('._containNoHaveAccount .form-checkbox input[type="radio"]').change(function () {
                if ($(this).is(':checked')) {
                    $('._containHadAccount .form-content').addClass("d-none");
                    $('._containWithOutAccount .form-content').addClass("d-none");
                    $('._containNoHaveAccount .form-content').removeClass("d-none");
                }
            });
        });
        {literal} 
            jQuery(document).ready(function(jQuery) {
                setTimeout(function() { 
                    if (typeof jQuery.datepicker.setDefaults != "undefined") {
                        jQuery.datepicker.setDefaults({"closeText":"Close", "currentText":"Today" ,"dateFormat":"mm/dd/yy"});
                    }
                }, 200);
            });
        {/literal} 

    })(jQuery);
</script>